using System;

namespace SlatedGameToolkit.Framework.Exceptions
{
    /// <summary>
    /// This exception is produced when the error producing SDL feature is not something the framework considers critical.
    /// This can happen if not all framework supported platforms support a specific feature that SDL provides.
    /// </summary>
    public class OptionalSDLException : SDLException {
        
        public OptionalSDLException() : base() {

        }

        public OptionalSDLException(string message) : base(message) {

        }
        
        public OptionalSDLException(string message, Exception inner) : base(message, inner) {
        }
    }
}